Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-981

Unable to pull Kafka binaries with Ivy

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.8.0
    • Fix Version/s: None
    • Component/s: packaging
    • Labels:
      None

      Description

      I am trying to pull the published Kafka binary with a simple Ivy file.

      <dependency org="org.apache.kafka" name="kafka_2.9.2" rev="0.8.0-beta1" conf="default->default"/>

      I get the following exception: [ivy:resolve] problem occurred while resolving dependency: org.apache.kafka#kafka_2.9.2;0.8.0-beta1

      {default=[default]}

      with main: java.lang.IllegalArgumentException: null name not allowed

        Attachments

        1. ivy.xml
          0.3 kB
          David Arthur
        2. ant.log
          16 kB
          David Arthur

          Activity

            People

            • Assignee:
              charmalloc Joe Stein
              Reporter:
              mumrah David Arthur
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: